GET /v2/api/price-lists

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • currency string
    • defaultPriceList boolean
    • externalId string
    • name string
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
GET /v2/api/price-lists
curl \
 --request GET 'https://api.maddenanalytics.com/v2/api/price-lists'
Response examples (200)
[
  {
    "currency": "USD",
    "defaultPriceList": false,
    "externalId": "RETAIL_USD",
    "name": "Retail USD"
  }
]
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}